#include "Main.h"

CProjection::CProjection( ) 
	: CCord( 0,0,0 )
{
	;
}

CProjection::CProjection( long x, long y, long z ) 
	: CCord( 	x,	y, z )
{
	;
}

CProjection::CProjection( const CProjection& p )
{
	*this = p ;
}

CProjection&
CProjection::operator=( const CProjection& p )
{
	(CCord&)*this = ( CCord& ) p ;
	return *this ;
}

CProjection::~CProjection( )
{
	;
}


void
CProjection::dump( )
{
	FntPrint("Prjctn X:%d Y:%d Z:%d\n", x( ), y( ), z( )  ) ;
}

void
CProjection::set( )
{
	;
}

void
CProjection::servicePad( CAccellPad& p )
{

	u_long u = ( u_long ) p ;
	int		 nAccell = p.getAccell( ) ;
	if ( u & PADtriangle )
		m_y+=nAccell ;//++m_y ;
	if ( u & PADcross )
		m_y-=nAccell ;
	if ( u & PADsquare )
		m_x-=nAccell ;
	if ( u & PADcircle )
		m_x+=nAccell ;
	if ( u & PADL1 )
		m_z-=nAccell ;
	if ( u & PADL2 )
		m_z+=nAccell ;
}
	
	


