#include "3DObject.h"

CCube::CCube( )
{
	m_pstrName="Cube" ;
}


//virtual 
void	
CCube::draw( COrderTableHeader& header )
{
	FntPrint("Name:%s\nX:%d Y:%d Z:%d\n", 
																			m_pstrName,
																			coord.t[0] ,
																			coord.t[1] ,
																			coord.t[2] ) ;
	C3DObject::draw( header ) ;
}


void
CCube::servicePad( CAccellPad& p )
{
	u_long currentKey = ( u_long )p ;
	
	int			nAccel = p.getAccell( ) ;
	
	if ( currentKey & PADLleft )
		rotate( 0, -nAccel, 0 ) ;
	if ( currentKey & PADLright )
		rotate( 0, nAccel, 0 ) ;
	if ( currentKey & PADLup )
		advance( nAccel ) ;
	if ( currentKey & PADLdown )
		advance( -nAccel ) ;
		
}

CCube::~CCube( )
{
	;
}